WriterPlsParserInternal::ParagraphInfo Struct Reference documentation

Public Member Functions | Public Attributes | Friends | List of all members
WriterPlsParserInternal::ParagraphInfo Struct Reference

Paragraph informations. More...

## Public Member Functions
| ParagraphInfo ()
int | getType () const

## Public Attributes
long | m_pos
int | m_type
int | m_height
int | m_height2
int | m_width
int | m_numLines
std::vector< int > | m_linesHeight
int | m_flags [6]
std::vector< int > | m_unknowns

## Friends
std::ostream & | operator<< (std::ostream &o, ParagraphInfo const &p)

## Detailed Description

Paragraph informations.

## Constructor & Destructor Documentation

## ◆ ParagraphInfo()

WriterPlsParserInternal::ParagraphInfo::ParagraphInfo | ( |  | ) |
| inline

## Member Function Documentation

## ◆ getType()

int WriterPlsParserInternal::ParagraphInfo::getType | ( |  | ) | const
| inline

Referenced by WriterPlsParser::readText(), WriterPlsParser::readWindowsZone(), and WriterPlsParser::sendWindow().

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | ParagraphInfo const & | p
| ) |  |
| friend

## Member Data Documentation

## ◆ m_flags

int WriterPlsParserInternal::ParagraphInfo::m_flags[6]

Referenced by WriterPlsParser::readParagraphInfo().

## ◆ m_height

int WriterPlsParserInternal::ParagraphInfo::m_height

Referenced by WriterPlsParser::readGraphic(), WriterPlsParser::readParagraphInfo(), WriterPlsParser::readText(), and WriterPlsParser::sendWindow().

## ◆ m_height2

int WriterPlsParserInternal::ParagraphInfo::m_height2

Referenced by WriterPlsParser::readParagraphInfo().

## ◆ m_linesHeight

std::vector<int> WriterPlsParserInternal::ParagraphInfo::m_linesHeight

Referenced by WriterPlsParser::readParagraphInfo(), and WriterPlsParser::sendWindow().

## ◆ m_numLines

int WriterPlsParserInternal::ParagraphInfo::m_numLines

Referenced by WriterPlsParser::readParagraphInfo(), and WriterPlsParser::sendWindow().

## ◆ m_pos

long WriterPlsParserInternal::ParagraphInfo::m_pos

Referenced by WriterPlsParser::readGraphic(), WriterPlsParser::readParagraphData(), WriterPlsParser::readParagraphInfo(), WriterPlsParser::readSection(), WriterPlsParser::readTable(), WriterPlsParser::readText(), WriterPlsParser::readWindowsZone(), and WriterPlsParser::sendWindow().

## ◆ m_type

int WriterPlsParserInternal::ParagraphInfo::m_type

Referenced by WriterPlsParser::readParagraphData(), and WriterPlsParser::readParagraphInfo().

## ◆ m_unknowns

std::vector<int> WriterPlsParserInternal::ParagraphInfo::m_unknowns

Referenced by WriterPlsParser::readParagraphInfo().

## ◆ m_width

int WriterPlsParserInternal::ParagraphInfo::m_width

Referenced by WriterPlsParser::readParagraphInfo().

The documentation for this struct was generated from the following file:

- WriterPlsParser.cxx